Diff for /embedaddon/smartmontools/autogen.sh between versions 1.1 and 1.1.1.3

version 1.1, 2012/02/21 16:32:16 version 1.1.1.3, 2013/07/22 01:17:35
Line 32  typep() Line 32  typep()
     return 1      return 1
 }  }
   
test -x "$AUTOMAKE" || AUTOMAKE=`typep automake-1.11` || AUTOMAKE=`typep automake-1.10` ||test -x "$AUTOMAKE" || AUTOMAKE=`typep automake-1.12` ||
     AUTOMAKE=`typep automake-1.11` || AUTOMAKE=`typep automake-1.10` ||
     AUTOMAKE=`typep automake-1.9` || AUTOMAKE=`typep automake-1.8` ||      AUTOMAKE=`typep automake-1.9` || AUTOMAKE=`typep automake-1.8` ||
     AUTOMAKE=`typep automake-1.7` || AUTOMAKE=`typep automake17` ||      AUTOMAKE=`typep automake-1.7` || AUTOMAKE=`typep automake17` ||
 {  {
Line 83  case "$ver" in Line 84  case "$ver" in
     rm -f casetest.tmp      rm -f casetest.tmp
     ;;      ;;
   
  1.9.[1-6]|1.10|1.10.[12]|1.11|1.11.1)  1.9.[1-6]|1.10|1.10.[12]|1.11|1.11.[1-6]|1.12.[3-5])
     # OK      # OK
     ;;      ;;
   
Line 92  case "$ver" in Line 93  case "$ver" in
     echo "Please report success/failure to the smartmontools-support mailing list."      echo "Please report success/failure to the smartmontools-support mailing list."
 esac  esac
   
   # Install pkg-config macros
   # (Don't use 'aclocal -I m4 --install' to keep support for automake < 1.10)
   test -d m4 || mkdir m4 || exit 1
   test -f m4/pkg.m4 || acdir=`${ACLOCAL} --print-ac-dir` &&
     test -n "$acdir" && test -f "$acdir/pkg.m4" &&
   {
     echo "$0: installing \`m4/pkg.m4' from \`$acdir/pkg.m4'"
     cp "$acdir/pkg.m4" m4/pkg.m4
   }
   test -f m4/pkg.m4 ||
     echo "Warning: cannot install m4/pkg.m4, 'make dist' and systemd detection will not work."
   
 set -e  # stops on error status  set -e  # stops on error status
   
${ACLOCAL}${ACLOCAL} -I m4
 autoheader  autoheader
${AUTOMAKE} --add-missing --copy --foreign${AUTOMAKE} --add-missing --copy
 autoconf  autoconf

Removed from v.1.1  
changed lines
  Added in v.1.1.1.3


FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>